/* 
 * Copyright (C) 2004 Darren Hutchinson (dbh@gbdt.com.au)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
 * License for more details.
 * 
 * You should have received a copy of the GNU Library General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA. 
 *
 * $Id: eq6.h,v 1.3 2004/04/04 10:32:50 dbh Exp $
 */

#ifndef _EQ6_H_
#define _EQ6_H_

#include <inttypes.h>

/* Define the default clock rate used by the software
 * replacement firmware
 */
#define DEF_CLK_RATE	(8L * 1000L * 1000L)	// 8 MHz

#ifndef CLK_RATE
#define CLK_RATE        DEF_CLK_RATE
#endif /* CLK_RATE */

/* Set the default transmission (gearbox) ratio used by the software. The
 * value set via the serial port will override this.
 *
 * Note: this does not include the worm/worm gear ratio
 */
#define DEF_TRANS_RATIO         132

#endif /* _EQ6_H_ */
